## DMS Get MAC Address request DMS Get MAC Address request |

## Functions

QmiMessageDmsGetMacAddressInput * | qmi_message_dms_get_mac_address_input_new ()
QmiMessageDmsGetMacAddressInput * | qmi_message_dms_get_mac_address_input_ref ()
void | qmi_message_dms_get_mac_address_input_unref ()
gboolean | qmi_message_dms_get_mac_address_input_get_device ()
gboolean | qmi_message_dms_get_mac_address_input_set_device ()
QmiMessageDmsGetMacAddressOutput * | qmi_message_dms_get_mac_address_output_ref ()
void | qmi_message_dms_get_mac_address_output_unref ()
gboolean | qmi_message_dms_get_mac_address_output_get_result ()
gboolean | qmi_message_dms_get_mac_address_output_get_mac_address ()
void | qmi_client_dms_get_mac_address ()
QmiMessageDmsGetMacAddressOutput * | qmi_client_dms_get_mac_address_finish ()

## Types and Values

| QmiMessageDmsGetMacAddressInput
| QmiMessageDmsGetMacAddressOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDmsGetMacAddressInput
        ╰── QmiMessageDmsGetMacAddressOutput

## Description

## Functions

### qmi_message_dms_get_mac_address_input_new ()

    QmiMessageDmsGetMacAddressInput *
    qmi_message_dms_get_mac_address_input_new
                                   (void);

Allocates a new QmiMessageDmsGetMacAddressInput.

#### Returns

the newly created QmiMessageDmsGetMacAddressInput. The returned value should be freed with `qmi_message_dms_get_mac_address_input_unref()`.

Since: 1.26

### qmi_message_dms_get_mac_address_input_ref ()

    QmiMessageDmsGetMacAddressInput *
    qmi_message_dms_get_mac_address_input_ref
                                   (QmiMessageDmsGetMacAddressInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsGetMacAddressInput. |

#### Returns

the new reference to `self` .

Since: 1.26

### qmi_message_dms_get_mac_address_input_unref ()

    void
    qmi_message_dms_get_mac_address_input_unref
                                   (QmiMessageDmsGetMacAddressInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsGetMacAddressInput. |

Since: 1.26

### qmi_message_dms_get_mac_address_input_get_device ()

    gboolean
    qmi_message_dms_get_mac_address_input_get_device
                                   (QmiMessageDmsGetMacAddressInput *self,
                                    QmiDmsMacType *value_device,
                                    GError **error);

Get the 'Device' field from `self` .

#### Parameters

self | a QmiMessageDmsGetMacAddressInput. |
value_device | a placeholder for the output QmiDmsMacType, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_dms_get_mac_address_input_set_device ()

    gboolean
    qmi_message_dms_get_mac_address_input_set_device
                                   (QmiMessageDmsGetMacAddressInput *self,
                                    QmiDmsMacType value_device,
                                    GError **error);

Set the 'Device' field in the message.

#### Parameters

self | a QmiMessageDmsGetMacAddressInput. |
value_device | a QmiDmsMacType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_dms_get_mac_address_output_ref ()

    QmiMessageDmsGetMacAddressOutput *
    qmi_message_dms_get_mac_address_output_ref
                                   (QmiMessageDmsGetMacAddressOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsGetMacAddressOutput. |

#### Returns

the new reference to `self` .

Since: 1.26

### qmi_message_dms_get_mac_address_output_unref ()

    void
    qmi_message_dms_get_mac_address_output_unref
                                   (QmiMessageDmsGetMacAddressOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsGetMacAddressOutput. |

Since: 1.26

### qmi_message_dms_get_mac_address_output_get_result ()

    gboolean
    qmi_message_dms_get_mac_address_output_get_result
                                   (QmiMessageDmsGetMacAddressOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsGetMacAddressOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.26

### qmi_message_dms_get_mac_address_output_get_mac_address ()

    gboolean
    qmi_message_dms_get_mac_address_output_get_mac_address
                                   (QmiMessageDmsGetMacAddressOutput *self,
                                    GArray **value_mac_address,
                                    GError **error);

Get the 'MAC Address' field from `self` .

#### Parameters

self | a QmiMessageDmsGetMacAddressOutput. |
value_mac_address | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint8][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_client_dms_get_mac_address ()

    void
    qmi_client_dms_get_mac_address (QmiClientDms *self,
                                    QmiMessageDmsGetMacAddressInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Get MAC Address request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_get_mac_address_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsGetMacAddressInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.26

### qmi_client_dms_get_mac_address_finish ()

    QmiMessageDmsGetMacAddressOutput *
    qmi_client_dms_get_mac_address_finish (QmiClientDms *self,
                                           GAsyncResult *res,
                                           GError **error);

Finishes an async operation started with `qmi_client_dms_get_mac_address()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_get_mac_address()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsGetMacAddressOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_get_mac_address_output_unref()`.

Since: 1.26

## Types and Values

### QmiMessageDmsGetMacAddressInput

    typedef struct _QmiMessageDmsGetMacAddressInput QmiMessageDmsGetMacAddressInput;

The QmiMessageDmsGetMacAddressInput structure contains private data and should only be accessed using the provided API.

Since: 1.26

### QmiMessageDmsGetMacAddressOutput

    typedef struct _QmiMessageDmsGetMacAddressOutput QmiMessageDmsGetMacAddressOutput;

The QmiMessageDmsGetMacAddressOutput structure contains private data and should only be accessed using the provided API.

Since: 1.26